iCalendlyDeveloper Docs
Schedules

PATCHUpdate a schedule

Updates the time slots and configuration of an existing availability schedule.

PATCH/v2/schedules/{scheduleId}

Request Body

application/jsonRequired
namestring
timeZonestring
availabilityarray<object>
isDefaultboolean
overridesarray<object>

Path Parameters

scheduleIdRequiredstring

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

ical-api-versionRequiredstring

Must be set to 2024-06-11. If not set to this value, the endpoint will default to an older version.

Default: "2024-06-11"
curl -X PATCH "https://example.com/v2/schedules/<string>" \
  -H "Authorization: <string>" \
  -H "ical-api-version: 2024-06-11" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "One-on-one coaching",
    "timeZone": "Europe/Rome",
    "availability": [
      {
        "days": [
          "Monday",
          "Tuesday"
        ],
        "startTime": "09:00",
        "endTime": "10:00"
      }
    ],
    "isDefault": true,
    "overrides": [
      {
        "date": "2024-05-20",
        "startTime": "12:00",
        "endTime": "14:00"
      }
    ]
  }'

{
  "status": "success",
  "data": {
    "id": 254,
    "ownerId": 478,
    "name": "Catch up hours",
    "timeZone": "Europe/Rome",
    "availability": [
      {
        "days": [
          "Monday",
          "Tuesday"
        ],
        "startTime": "17:00",
        "endTime": "19:00"
      },
      {
        "days": [
          "Wednesday",
          "Thursday"
        ],
        "startTime": "16:00",
        "endTime": "20:00"
      }
    ],
    "isDefault": true,
    "overrides": [
      {
        "date": "2024-05-20",
        "startTime": "18:00",
        "endTime": "21:00"
      }
    ]
  },
  "error": {}
}